1. Delivery
Enviable Logistics App
  • Auth
    • Login
      POST
    • Sign UP
      POST
    • Verify Email
      POST
    • Resend Email OTP
      POST
    • Forgot password
      POST
    • Reset Password
      POST
    • Change Password
      POST
    • User
      GET
  • Delivery
    • Checkout
      POST
    • Track Delivery
      GET
    • Get Delivery
      GET
    • Calculate Price
      POST
  • Rider
    • Auth
      • Login
      • Logout
      • Forgot password
      • Change email
    • My Orders
      GET
    • Analytics
      GET
    • Update Order Status
      POST
    • Change status to picked up
      POST
    • Change status to delivered
      POST
    • Change inter-state status to picked up
      PUT
    • Change errand stauts to in-transit
      PUT
  • Errand
    • Create Errand
      POST
    • Get Errand
      GET
    • Upload Proof
      POST
    • Get Errand Categories
      GET
  • User
    • Upload Profile Picture
      POST
    • Get All Reusuable Info
      GET
    • Update Profile
      POST
    • Store Info for Reuse
      POST
    • Get Orders
      GET
    • Get Transactions
      GET
    • Get Transaction From Paystack
      GET
    • Get Operational States
      GET
  • Join Waitlist
    POST
  • Get Pickup Centers
    GET
  • Playground
    GET
  • Get fees
    GET
  • Update Location
    POST
  • Get in-app Notifications
    GET
  1. Delivery

Calculate Price

POST
{{base_url}}/delivery/calculate-price

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params multipart/form-data

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --globoff 'https://api.enviablelogistics.com/delivery/calculate-price' \
--header 'Authorization: Bearer <token>' \
--form 'collection_method="pickup"' \
--form 'items[0][weight]="2.5"' \
--form 'items[0][value]="5000"' \
--form 'items[0][quantity]="1"' \
--form 'items[1][weight]="3.0"' \
--form 'items[1][value]="15000"' \
--form 'items[1][quantity]="1"' \
--form 'pickup_center_id=""' \
--form 'receiver_details[address]="1113 Constitution Ave, Central Business Dis, Abuja 900103"' \
--form 'receiver_details[state]="FCT"' \
--form 'mode_of_transport=""'

Responses

🟢200OK
application/json
Bodyapplication/json

Example
{"data":{"total":3575,"tax":2.68125,"final_price":3577.68125},"message":"Price calculated successfully"}
Modified at 2024-10-15 13:11:31
Previous
Get Delivery
Next
Login
Built with